version: '3.4'

services: 
  web:
    image: nginx:1.14.2-alpine
    restart: always
    volumes:
      - ./public_html:/public_html
      - ./conf.d:/etc/nginx/conf.d/
      - ./dhparam:/etc/nginx/dhparam
      - ./certbot/conf/:/etc/nginx/ssl/
      - ./certbot/data:/usr/share/nginx/html/letsencrypt
    ports:
      - 80:80
      - 443:443
  
  certbot:
     image: certbot/certbot:latest
     # to renew cert
     #command: certbot renew --nginx -d proxy.dremer10.com --dry-run
     # to create on new domain
     command: certonly --webroot --webroot-path=/usr/share/nginx/html/letsencrypt --email andre@dre-mail.com --agree-tos --no-eff-email -d proxy.dremer10.com
     volumes:
       - ./certbot/conf/:/etc/letsencrypt
       - ./certbot/logs/:/var/log/letsencrypt
       - ./certbot/data:/usr/share/nginx/html/letsencrypt
